/*
* Original code by ©Kosada Incorporated released under MIT License, modified by Bodysoulspirit.
* This code may be modified and distributed under the terms of the MIT License.
* For more information, see https://vuo.org/license.
*/

#include "node.h"
//#include <OpenGL/CGLMacro.h>
#include "VuoMeshUtility.h"

VuoModuleMetadata({
					 "title" : "Make Triangles Strip Object",
					 //"description" :[],
					 "keywords" : [],
					 "version" : "1.0.0",
				 });

void nodeEvent
(
	VuoInputData(VuoList_VuoPoint3d, {"default":[{"x":0,"y":0,"z":0}]}) positions,
	VuoInputData(VuoList_VuoColor, {"default":[{"r":1,"g":1,"b":1,"a":1}, {"r":0,"g":0,"b":0,"a":1}]}) colors,
	VuoInputData(VuoShader) material,
	VuoInputData(VuoTransform) transform,
	VuoOutputData(VuoSceneObject) object
)
{
		VuoMesh m = VuoMesh_make_VuoPoint3d(positions, colors, VuoMesh_TriangleStrip, 0.01);
		*object = VuoSceneObject_makeMesh(m, VuoShader_make_VuoShader(material), transform);
}
